import { jsx } from "react/jsx-runtime";
import { SynagogueIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Synagogue = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Synagogue", ...props, children: /* @__PURE__ */ jsx(SynagogueIcon, { weight: variant }) });
  }
);
Synagogue.displayName = "Synagogue";
Object.assign(Synagogue, { isGdsIcon: true });
export {
  Synagogue
};
